(function($) {  
    $(document).ready(function() { 
        $('.wp-open-weather.wpw-shortcode .wp-open-weather-refresh-now').bind('click', function (event) {
            var id = $(this).data('id');
            var tag = $(this).data('tag');
            var template = $(this).data('template');
            weatherRefresh(id, tag, template, 'weatherRefresh');
        });
        
        $('.wp-open-weather.wpw-widget .wp-open-weather-refresh-now').bind('click', function (event) {
            var id = $(this).data('id');
            var tag = $(this).data('tag');
            var template = $(this).data('template');
            weatherRefresh(id, tag, template, 'weatherWidgetRefresh');
        });        
        
        function weatherRefresh (id, tag, template, action) {
            var container = $('[data-id="'+id+'"]').closest('.wp-open-weather').find('.wp-open-weather-data');
            showSpinner(id);
            
            var data = {};
            
            data.action = action;
            data.nonce = ajax_rpw.ajax_nonce;
            data.id = id;
            data.tag = tag;
            data.template = template;

            $.ajax({
                url: ajax_rpw.ajax_url,
                type: 'POST' ,
                data: data,
                dataType: 'html',
                cache: false,
                success: function(data) {
                    $(container).html($(data).find('.wp-open-weather-data').html());   
                    hideSpinner(id);
                },
                error: function (request, status, error) {
                    hideSpinner(id);
                }
            });
        }        
        
        function showSpinner(id) {
            //var spinner = $('[data-id="'+id+'"]').closest('.wp-open-weather').find('.wp-open-weather-refresh-spinner');
            //$(spinner).show();
            var spinner = $('[data-id="'+id+'"]').closest('.wp-open-weather').find('.wcp-ow-icon-refresh');
            $(spinner).addClass('fa-spin');
            
        }

        function hideSpinner(id) {
            //var spinner = $('[data-id="'+id+'"]').closest('.wp-open-weather').find('.wp-open-weather-refresh-spinner');
            //$(spinner).hide();
            var spinner = $('[data-id="'+id+'"]').closest('.wp-open-weather').find('.wcp-ow-icon-refresh');
            $(spinner).removeClass('fa-spin');
        }        
    });
})(jQuery);


